Package weka.classifiers.functions

# Class BoundaryKernelClassifierWithPlaneProjectionsAbstract

java.lang.Object
weka.classifiers.AbstractClassifier
weka.classifiers.SingleClassifierEnhancer
weka.classifiers.functions.SingleClassifierEnhancerBoundary
weka.classifiers.functions.BoundaryKernelClassifier
weka.classifiers.functions.BoundaryKernelClassifierWithPlaneProjectionsAbstract

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `weka.classifiers.Classifier`, `weka.core.BatchPredictor`, `weka.core.CapabilitiesHandler`, `weka.core.CapabilitiesIgnorer`, `weka.core.CommandlineRunnable`, `weka.core.OptionHandler`, `weka.core.RevisionHandler`, `weka.tools.GlobalInfoHandler`

Direct Known Subclasses:
  `BoundaryKernelClassifierWithPlaneProjections`

public abstract class BoundaryKernelClassifierWithPlaneProjectionsAbstract extends BoundaryKernelClassifier

Since:
  2.3.0
Version:
  2.3.0
Author:
  pawel trajdoss
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class weka.classifiers.AbstractClassifier

  `BATCH_SIZE_DEFAULT, NUM_DECIMAL_PLACES_DEFAULT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BoundaryKernelClassifierWithPlaneProjectionsAbstract()`
  `BoundaryKernelClassifierWithPlaneProjectionsAbstract(ClassifierWithBoundaries nearestCentroidBoundary)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String[]`
  `getOptions()`
  `weka.estimators.MultivariateEstimatorFromInstances`
  `getPlaneProjectionEstimatorProto()`
  `Enumeration<weka.core.Option>`
  `listOptions()`
  `String`
  `planeProjectionEstimatorProtoTipText()`
  `void`
  `setOptions(String[] options)`
  `void`
  `setPlaneProjectionEstimatorProto(weka.estimators.MultivariateEstimatorFromInstances planeProjectionEstimatorProto)`

  ### Methods inherited from class weka.classifiers.functions.BoundaryKernelClassifier

  `buildClassifier, distributionForInstance, estimProtoTipText, getEstimProto, globalInfo, isNormalize, isPreNormalize, isUsePriorProbs, normalizeTipText, preNormalizeTipText, setEstimProto, setNormalize, setPreNormalize, setUsePriorProbs, usePriorProbsTipText`

  ### Methods inherited from class weka.classifiers.functions.SingleClassifierEnhancerBoundary

  `getCapabilities, setClassifier`

  ### Methods inherited from class weka.classifiers.SingleClassifierEnhancer

  `classifierTipText, getClassifier, postExecution, preExecution`

  ### Methods inherited from class weka.classifiers.AbstractClassifier

  `batchSizeTipText, classifyInstance, debugTipText, distributionsForInstances, doNotCheckCapabilitiesTipText, forName, getBatchSize, getDebug, getDoNotCheckCapabilities, getNumDecimalPlaces, getRevision, implementsMoreEfficientBatchPrediction, makeCopies, makeCopy, numDecimalPlacesTipText, run, runClassifier, setBatchSize, setDebug, setDoNotCheckCapabilities, setNumDecimalPlaces`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BoundaryKernelClassifierWithPlaneProjectionsAbstract

    public BoundaryKernelClassifierWithPlaneProjectionsAbstract(ClassifierWithBoundaries nearestCentroidBoundary)
    Parameters:
      `nearestCentroidBoundary` -

  - ### BoundaryKernelClassifierWithPlaneProjectionsAbstract

    public BoundaryKernelClassifierWithPlaneProjectionsAbstract()

- ## Method Details

  - ### getPlaneProjectionEstimatorProto

    public weka.estimators.MultivariateEstimatorFromInstances getPlaneProjectionEstimatorProto()
    Returns:
      the planeProjectionEstimatorProto

  - ### setPlaneProjectionEstimatorProto

    public void setPlaneProjectionEstimatorProto(weka.estimators.MultivariateEstimatorFromInstances planeProjectionEstimatorProto)
    Parameters:
      `planeProjectionEstimatorProto` - the planeProjectionEstimatorProto to set

  - ### planeProjectionEstimatorProtoTipText

    public String planeProjectionEstimatorProtoTipText()

  - ### listOptions

    public Enumeration<weka.core.Option> listOptions()
    Specified by:
      `listOptions` in interface `weka.core.OptionHandler`
    Overrides:
      `listOptions` in class `BoundaryKernelClassifier`

  - ### setOptions

    public void setOptions(String[] options) throws Exception
    Specified by:
      `setOptions` in interface `weka.core.OptionHandler`
    Overrides:
      `setOptions` in class `BoundaryKernelClassifier`
    Throws:
      `Exception`

  - ### getOptions

    public String[] getOptions()
    Specified by:
      `getOptions` in interface `weka.core.OptionHandler`
    Overrides:
      `getOptions` in class `BoundaryKernelClassifier`